Bug 811441 - RFE: Fixed URL should update when title field does
RFE: Fixed URL should update when title field does
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
All All
unspecified Severity medium
: ---
: ---
Assigned To: pressgang-ccms-dev
: Reopened
: 1100245 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 00:59 EDT by Misha H. Ali
Modified: 2015-05-11 18:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 23:51:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-04-11 00:59:22 EDT
Description of problem:

If the title field of a topic is altered, the <title> element within the XML also updates with the value set in the title field. This automatic update should carry over to the fixed URL as well. IMO, most users are happy with the title of the topic as the fixed URL and those that are not can manually alter it to be whatever they prefer and possibly a check box could be ticked to freeze the value despite any further topic title changes, if required.
Comment 1 Lee Newson 2012-04-12 20:26:16 EDT
I'm fairly sure that this was purposely done so that when a topic/book is published the link will always exist.

Ie. You publish a topic that is called "Installing EDG" and its URL is "Installing_EDG.html". This is then picked up by google bots and shows up in searches. If you change the URL to "InstallingJDG.html" then you end up with two possible results in a search and one will point to nothing.

Matt was the one who implemented this though, so he should be able to give a proper answer.
Comment 2 sgilda 2012-04-25 10:24:45 EDT
I ran into this with one of my topics: 5709. 

The topic title was changed at some point from "Using the Maven Repository in a Project" to "Configure the Maven Repository for Your Project".

The fixed URL property for this topic is: Using_the_Maven_Repository_in_a_Project

If I search for "Configure the Maven Repository", I find it.
If I search for "Using the Maven Repository", it provides a broken link to the now obsolete TopicID5709.html page.
Comment 3 Matthew Casperson 2012-07-09 23:51:14 EDT
The Fixed URL property was designed not to be changed so as to prevent bookmarks from becoming invalid when the title changes.
Comment 4 Joshua Wulf 2012-08-03 10:58:08 EDT
If the URL is meant to be "human-readable" text, though, then it should be meaningful. If it is different from the title, it will be misleading.

I have a topic that started out life as the Hello World program in C. Later I developed a brand that allowed me to display multi code languages in the same place intelligently. 

Now I have a topic named:
Red Hat Enterprise Messaging "Hello World"

with a URL: ...sect-Hello_World.html#Hello_World_in_C

The URL is now "wrong" - if it's meant to be human readable text that describes the content for intelligibility and SEO.

So, either: the URLs should be machine readable only and not attempt to convey information to human readers and search engines;
or:
The URLs should accurately represent the information in the topic.
Comment 5 Lee Newson 2013-10-01 01:13:49 EDT
Moving this back to NEW, since there hasn't been any activity on this bug for
some time and we currently don't have anything scheduled.
Comment 6 Lee Newson 2014-05-22 18:35:00 EDT
*** Bug 1100245 has been marked as a duplicate of this bug. ***
Comment 7 Athene Chan 2014-05-27 01:16:34 EDT
Hi Lee,

Do you guys have any plans on working on this feature? The URLs should accurately represent the section, if it doesn't it might be easier just to have numbers or random URLs rather than human readable information.
Comment 8 Lee Newson 2014-05-27 01:32:53 EDT
As mentioned by Matt previously this is NOTABUG from our perspective as you should not be changing the URL's once a book has been published. If you do then it will create links in search results that no longer exist.

In saying that however the main problem there is that we don't have the concept of published content, so at the moment they are set when building. When we have a concept of published, then we will move it over to only being set then.

Another thing we could do in the interim until we have a published concept is to have the ability to clear all the Fixed URLs. However we couldn't do that until https://bugzilla.redhat.com/show_bug.cgi?id=1070040 is implemented due to topics being shared.

If it does really worry you, then you are free to manually update them yourself via the "Extended Properties" tab in the UI. You could also file an RFE for an option to disable the human readable URLs when building (this would make them something like index.html#TopicID3737).

Note You need to log in before you can comment on or make changes to this bug.